| IITkaGyan v0.9 A platform for students to ask their doubts to IITians directly...

Public Member Functions | Static Public Attributes | List of all members
gyans.views.CommentCreate Class Reference
Inheritance diagram for gyans.views.CommentCreate:

## Public Member Functions
def | get (self, request, *args, **kwargs)
def | post (self, request, *args, **kwargs)

## Static Public Attributes
| model = Comment
list | fields = ['author', 'answer', 'comment_text']

## Detailed Description

    View to create comment form.

## Member Function Documentation

## ◆ get()

def gyans.views.CommentCreate.get | ( |  | self,
|  |  | request,
|  | * | args,
|  | ** | kwargs
| ) |  |

## ◆ post()

def gyans.views.CommentCreate.post | ( |  | self,
|  |  | request,
|  | * | args,
|  | ** | kwargs
| ) |  |

## Member Data Documentation

## ◆ fields

list gyans.views.CommentCreate.fields = ['author', 'answer', 'comment_text']
| static

## ◆ model

gyans.views.CommentCreate.model = Comment
| static

The documentation for this class was generated from the following file:

- IITKaGyan/gyans/views.py